Bug 145348 - Intel 537EP modem does not work after kernel update: 2.6.9-1.724_FC3smp -> 2.6.10-1.741_FC3smp
Summary: Intel 537EP modem does not work after kernel update: 2.6.9-1.724_FC3smp -> 2....
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-17 18:03 UTC by Sean Carlos
Modified: 2015-01-04 22:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 22:25:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sean Carlos 2005-01-17 18:03:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
I have an Intel "soft" modem which no longer works after updating the
kernel and recompiling (make; make 537; make install)



The software (intel-537ep-2.60.80.0.tgz or intel-537ep-2.60.80.1.tgz)
comes from the Intel site.  

Version-Release number of selected component (if applicable):
2.6.10-1.741_FC3smp

How reproducible:
Always

Steps to Reproduce:
1. Unzip intel-537ep-2.60.80.0.tgz
2. cd intel-537EP-2.60.80.0
3. make clean
4. make 537
5. make install
6. Dial out.  Works if kernel is 2.6.9-1.724_FC3smp.  Does not work with 2.6.10-1.741_FC3smp.  Have tried these steps multiple times for both kernels.  The issue is 100% reproducable.  Sent compile output to fedora-test-list.
  

Actual Results:  Dialing out, I get the error message "8".  In var/log/messages:

Jan 15 14:07:47 localhost wvdial[6932]: WvDial: Internet dialer version
1.54.0
Jan 15 14:07:47 localhost wvdial[6932]: Initializing modem.
Jan 15 14:07:47 localhost wvdial[6932]: Sending: ATZ
Jan 15 14:07:47 localhost wvdial[6932]: Sending: ATQ0
Jan 15 14:07:47 localhost wvdial[6932]: Re-Sending: ATZ
Jan 15 14:07:47 localhost wvdial[6932]: Modem not responding.


Reverting back to 2.6.9-1.724_FC3smp and recompiling, everything is
fine.

Expected Results:  Successful connection

Additional info:

Comment 1 Sean Carlos 2005-05-14 00:54:09 UTC
A patch which works for 2.6.10-1.770_FC3smp 
is here: 

http://www.dis-rj.com.br/537ep/

and was discussed here: 

http://www.linuxquestions.org/questions/history/315346

It does NOT work for kernel-smp-2.6.11-1.14_FC3.

Comment 2 Dave Jones 2005-07-15 19:59:22 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 3 Dave Jones 2005-10-03 00:39:51 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Comment 4 Sean Carlos 2005-10-03 12:39:12 UTC
Version 

intel-537ep-2.60.80.1.tgz

will compile against FC3 2.6.11 kernels, if patched.  The patch is available
from http://www.dis-rj.com.br/537ep/index.html; a technical discussion takes
place here:
http://www.linuxquestions.org/questions/showthread.php?s=&threadid=315346&perpage=15&pagenumber=1

The patched version does install and work under FC4 as well by using a FC3
kernel, i.e. 2.6.11-1.35_FC3smp.

The modem is distributed with Dell Dimension Desktops, 
among others.  Besides being used by some for Internet connectivity, it is also
useful to send and receive faxes.

The primary software is available from Intel:

http://developer.intel.com/design/modems/support/drivers.htm

Specifically:

http://downloadfinder.intel.com/scripts-df-external/filter_results.aspx?strTypes=all&ProductID=1230&OSFullName=Linux*&lang=eng&strOSs=39&submit=Go%21

Intel recently (end of August) released updated drivers specifically for Suse. 
Updated source is listed as:

Intel-537ep-2.70.95.0.tgz (1481KB) 8/30/2005	
Contains the base, partial open source, UNCOMPILED Intel® 537EP V.92 modem (PCI)
chipset driver.

although the downloadable file is called Intel-537EP-2.70.95.0-suse9.3.tgz.

It is reported that this compiles under gcc 4.0:

(http://www.crynwr.com/cgi-bin/ezmlm-cgi?1:mss:20658:200509:gmklbgieidnpokmfendn)
"The  Intel-537EP-2.70.95.0 compile is OK , with gcc-4.0 and under my Debian
kernel 2.6.10-1-686
kernel. THus thecompile failure reported below seems to be related to the redhat
2.6.11-1.1369_FC4
kernel

MarvS"

It does not compile under either FC4 kernels 2.6.12 nor 2.6.13.

Intel is aware of the issue, but the priority is not clear:

http://www.crynwr.com/cgi-bin/ezmlm-cgi?1:mss:20676:200509:gmklbgieidnpokmfendn
http://www.crynwr.com/cgi-bin/ezmlm-cgi?1:mss:20777:200509:baagphofbolbodjamffa

The compile error is:

   Module precompile check
   Current running kernel is: 2.6.13-1.1526_FC4smp
   /lib/modules...   autoconf.h exists
diff: /boot/vmlinuz.autoconf.h: No such file or directory
   autoconf.h matches running kernel
diff: /boot/vmlinuz.version.h: No such file or directory
   version.h matches running kernel
2.6.13-1.1526_FC4smp
make[1]: Entering directory `/usr/local/src/intel_test/Intel-537/coredrv'
make -C /lib/modules/2.6.13-1.1526_FC4smp/build
SUBDIRS=/usr/local/src/intel_test/Intel-537/coredrv modules
make[2]: Entering directory `/usr/src/kernels/2.6.13-1.1526_FC4-smp-i686'
  CC [M]  /usr/local/src/intel_test/Intel-537/coredrv/coredrv.o
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c:73: warning: type defaults
to âintâ in declaration of âEXPORT_SYMBOL_NOVERSâ
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c:73: warning: parameter
names (without types) in function declaration
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c:73: warning: data
definition has no type or storage class
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c: In function
âsoftcore_init_structâ:
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c:339: warning: assignment
from incompatible pointer type
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c: In function âopenâ:
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c:407: warning:
âpm_registerâ is deprecated (declared at include/linux/pm.h:107)
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c: In function âcloseâ:
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c:439: warning:
âpm_unregisterâ is deprecated (declared at include/linux/pm.h:112)
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c: In function âhamproc_writeâ:
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c:684: warning: ignoring
return value of âcopy_from_userâ, declared with
attribute warn_unused_result
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c: At top level:
/usr/local/src/intel_test/Intel-537/coredrv/coredrv.c:880: warning:
initialization makes integer from pointer without a cast
  CC [M]  /usr/local/src/intel_test/Intel-537/coredrv/clmmain.o
  CC [M]  /usr/local/src/intel_test/Intel-537/coredrv/rts.o
  CC [M]  /usr/local/src/intel_test/Intel-537/coredrv/task.o
  CC [M]  /usr/local/src/intel_test/Intel-537/coredrv/uart.o
  CC [M]  /usr/local/src/intel_test/Intel-537/coredrv/wwh_dflt.o
  CC [M]  /usr/local/src/intel_test/Intel-537/coredrv/locks.o
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:85: error: conflicting types
for âlinux_MT_AcquireLock_clm_bgâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:120: error: previous
declaration of âlinux_MT_AcquireLock_clm_bgâ was
here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:86: error: conflicting types
for âlinux_MT_ReleaseLock_clm_bgâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:121: error: previous
declaration of âlinux_MT_ReleaseLock_clm_bgâ was
here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:87: error: conflicting types
for âlinux_MT_AcquireLock_timer_taskâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:122: error: previous
declaration of âlinux_MT_AcquireLock_timer_taskâ
was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:88: error: conflicting types
for âlinux_MT_ReleaseLock_timer_taskâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:123: error: previous
declaration of âlinux_MT_ReleaseLock_timer_taskâ
was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:89: error: conflicting types
for âlinux_MT_AcquireLock_PortQInâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:98: error: previous
declaration of âlinux_MT_AcquireLock_PortQInâ was
here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:90: error: conflicting types
for âlinux_MT_ReleaseLock_PortQInâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:99: error: previous
declaration of âlinux_MT_ReleaseLock_PortQInâ was
here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:91: error: conflicting types
for âlinux_MT_AcquireLock_PortQOutâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:100: error: previous
declaration of âlinux_MT_AcquireLock_PortQOutâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:92: error: conflicting types
for âlinux_MT_ReleaseLock_PortQOutâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:101: error: previous
declaration of âlinux_MT_ReleaseLock_PortQOutâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:95: error: conflicting types
for âlinux_MT_AcquireLock_LAPMrx_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:92: error: previous
declaration of âlinux_MT_AcquireLock_LAPMrx_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:96: error: conflicting types
for âlinux_MT_ReleaseLock_LAPMrx_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:93: error: previous
declaration of âlinux_MT_ReleaseLock_LAPMrx_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:97: error: conflicting types
for âlinux_MT_AcquireLock_LAPMtx_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:94: error: previous
declaration of âlinux_MT_AcquireLock_LAPMtx_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:98: error: conflicting types
for âlinux_MT_ReleaseLock_LAPMtx_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:95: error: previous
declaration of âlinux_MT_ReleaseLock_LAPMtx_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:99: error: conflicting types
for âlinux_MT_AcquireLock_LAPMemptied_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:96: error: previous
declaration of âlinux_MT_AcquireLock_LAPMemptied_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:100: error: conflicting
types for âlinux_MT_ReleaseLock_LAPMemptied_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:97: error: previous
declaration of âlinux_MT_ReleaseLock_LAPMemptied_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:101: error: conflicting
types for âlinux_MT_AcquireLock_dce_rx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:110: error: previous
declaration of âlinux_MT_AcquireLock_dce_rx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:102: error: conflicting
types for âlinux_MT_ReleaseLock_dce_rx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:111: error: previous
declaration of âlinux_MT_ReleaseLock_dce_rx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:103: error: conflicting
types for âlinux_MT_ReleaseLock_dce_tx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:113: error: previous
declaration of âlinux_MT_ReleaseLock_dce_tx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:104: error: conflicting
types for âlinux_MT_AcquireLock_dce_tx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:112: error: previous
declaration of âlinux_MT_AcquireLock_dce_tx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:107: error: conflicting
types for âlinux_MT_AcquireLock_mt_dspâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:124: error: previous
declaration of âlinux_MT_AcquireLock_mt_dspâ was
here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:108: error: conflicting
types for âlinux_MT_ReleaseLock_mt_dspâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:125: error: previous
declaration of âlinux_MT_ReleaseLock_mt_dspâ was
here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:109: error: conflicting
types for âlinux_AcquireLock_rts1â
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:128: error: previous
declaration of âlinux_AcquireLock_rts1â was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:110: error: conflicting
types for âlinux_ReleaseLock_rts1â
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:129: error: previous
declaration of âlinux_ReleaseLock_rts1â was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:111: error: conflicting
types for âlinux_AcquireLock_data_to_userâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:126: error: previous
declaration of âlinux_AcquireLock_data_to_userâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:112: error: conflicting
types for âlinux_ReleaseLock_data_to_userâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:127: error: previous
declaration of âlinux_ReleaseLock_data_to_userâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:115: error: conflicting
types for âlinux_MT_AcquireLock_dte_rx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:102: error: previous
declaration of âlinux_MT_AcquireLock_dte_rx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:116: error: conflicting
types for âlinux_MT_ReleaseLock_dte_rx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:103: error: previous
declaration of âlinux_MT_ReleaseLock_dte_rx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:117: error: conflicting
types for âlinux_MT_AcquireLock_dte_tx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:104: error: previous
declaration of âlinux_MT_AcquireLock_dte_tx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:118: error: conflicting
types for âlinux_MT_ReleaseLock_dte_tx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:105: error: previous
declaration of âlinux_MT_ReleaseLock_dte_tx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:119: error: conflicting
types for âlinux_MT_AcquireLock_acu_rx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:106: error: previous
declaration of âlinux_MT_AcquireLock_acu_rx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:120: error: conflicting
types for âlinux_MT_ReleaseLock_acu_rx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:107: error: previous
declaration of âlinux_MT_ReleaseLock_acu_rx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:121: error: conflicting
types for âlinux_MT_AcquireLock_acu_tx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:108: error: previous
declaration of âlinux_MT_AcquireLock_acu_tx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:122: error: conflicting
types for âlinux_MT_ReleaseLock_acu_tx_bufferâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:109: error: previous
declaration of âlinux_MT_ReleaseLock_acu_tx_bufferâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:123: error: conflicting
types for âlinux_MT_AcquireLock_received_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:114: error: previous
declaration of âlinux_MT_AcquireLock_received_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:124: error: conflicting
types for âlinux_MT_ReleaseLock_received_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:115: error: previous
declaration of âlinux_MT_ReleaseLock_received_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:125: error: conflicting
types for âlinux_MT_AcquireLock_emptied_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:116: error: previous
declaration of âlinux_MT_AcquireLock_emptied_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:126: error: conflicting
types for âlinux_MT_ReleaseLock_emptied_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:117: error: previous
declaration of âlinux_MT_ReleaseLock_emptied_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:129: error: conflicting
types for âlinux_MT_AcquireLock_transmit_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:118: error: previous
declaration of âlinux_MT_AcquireLock_transmit_queâ was here
/usr/local/src/intel_test/Intel-537/coredrv/locks.c:136: error: conflicting
types for âlinux_MT_ReleaseLock_transmit_queâ
/usr/local/src/intel_test/Intel-537/coredrv/lock_lin.h:119: error: previous
declaration of âlinux_MT_ReleaseLock_transmit_queâ was here
make[3]: *** [/usr/local/src/intel_test/Intel-537/coredrv/locks.o] Error 1
make[2]: *** [_module_/usr/local/src/intel_test/Intel-537/coredrv] Error 2
make[2]: Leaving directory `/usr/src/kernels/2.6.13-1.1526_FC4-smp-i686'
make[1]: *** [537core_26] Error 2
make[1]: Leaving directory `/usr/local/src/intel_test/Intel-537/coredrv'
2.6.13-1.1526_FC4smp
Failed to build driver





Comment 5 Dave Jones 2005-10-03 22:25:20 UTC
all those compile errors are problems in Intels driver that need fixing.
Nothing a kernel update can fix.



Note You need to log in before you can comment on or make changes to this bug.